import { NumericStyleInput } from '../../../controls/NumericStyleInput.js';
import { IDesignItem } from '../../../item/IDesignItem.js';
import { IProperty } from '../IProperty.js';
import { BasePropertyEditor } from './BasePropertyEditor.js';
import { ValueType } from '../ValueType.js';
export declare class UnitPropertyEditor extends BasePropertyEditor<NumericStyleInput> {
    constructor(property: IProperty);
    designItemsChanged(designItems: IDesignItem[]): void;
    refreshValue(valueType: ValueType, value: any): void;
}
